﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;
using Tsi1.BusinessLayer.Dtos;
using Tsi1.BusinessLayer.Helpers;

namespace Tsi1.BusinessLayer.Interfaces
{
    public interface ISectionService
    {
        Task<ServiceResult<bool>> Create(SectionCreateDto newSection);
        Task<ServiceResult<bool>> Delete(int sectionId);
        Task<ServiceResult<bool>> OrderSections(List<OrderDto> orderDtos);
        Task<ServiceResult<bool>> Modify(int sectionId, string name);
    }
}
